Get Soft Deleted Projects In Organization Using GET

Get Soft Deleted Projects In Organization Using GET

List soft deleted projects in organization

Access Policy

Role User Accounts Service Accounts (Client Credentials Applications)
Organization Admin ✔️ ✔️
Organization Owner ✔️ ✔️
Request
URI
GET
https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/deleted
COPY
Path Parameters
string
orgId
Required

Parent organization ID for the project

Query Parameters
string
after
Optional

Filter projects deleted after specific date

integer
pageStart
Optional
Constraints: minimum: 1 default: 1

pagination start, default 1

integer
pageLimit
Optional
Constraints: minimum: 1 maximum: 1000 default: 200

pagination limit, default 200, max 1000


Authentication
This operation uses the following authentication methods.
Responses
200

Successful operation

Returns PagedResponseProject of type(s) application/json
{
    "nextLink": "/csp/serviceName/ResourceName?pageStart=60&pageLimit=15",
    "prevLink": "/csp/serviceName/ResourceName?pageStart=30&pageLimit=15",
    "results": [
        {
            "createdBy": "string",
            "creationDate": "string",
            "depth": 0,
            "description": "string",
            "displayName": "string",
            "enabledServices": [
                "string"
            ],
            "id": "string",
            "lastModifiedBy": "string",
            "lastModifiedDate": "string",
            "leaf": false,
            "parentPath": "string",
            "parentProjectId": "string",
            "projectMetadata": {
                "metadataContents": {
                    "metadataContents": "string"
                },
                "metadataType": "string"
            },
            "subResourceServiceScopes": [
                "string"
            ],
            "type": "string",
            "vrn": "string"
        }
    ],
    "totalResults": 2000
}
string
nextLink
Optional

Relative path to next page if exists. Not returned for POST requests.

string
prevLink
Optional

Relative path to previous page if exists. Not returned for POST requests.

array of object
results
Optional

Partial list of returned results.

integer As int32 As int32
totalResults
Optional

Total number of results if available.


401

Unauthorized

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


403

The user is forbidden to use the API

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


404

The requested resource could not be found

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


429

The user has sent too many requests

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


500

Internal Server Error

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/deleted